com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantDatabaseUsageElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantDatabaseUsageElement

-     public class TenantDatabaseUsageElement
      extends java.lang.Object

  A structure conveying information about how a tenant has been using the database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantDatabaseUsageElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDatabaseSize()` The size of the tenant's database, in bytes.
    `java.util.Date` | `getSampleTime()` The time at which the database usage was sampled.
    `java.lang.Integer` | `getTenantID()` The identifier of the tenant.
    `java.lang.String` | `getTenantName()` The name of the tenant the host belongs to; May be null if the tenant has been deleted.
    `void` | `setDatabaseSize(long databaseSize)`
    `void` | `setSampleTime(java.util.Date sampleTime)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTenantName(java.lang.String tenantName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantDatabaseUsageElement

          public TenantDatabaseUsageElement()

  - ### Method Detail

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The identifier of the tenant.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getTenantName

          public java.lang.String getTenantName()

      The name of the tenant the host belongs to; May be null if the tenant has been deleted.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getSampleTime

          public java.util.Date getSampleTime()

      The time at which the database usage was sampled.

    - #### setSampleTime

          public void setSampleTime(java.util.Date sampleTime)

    - #### getDatabaseSize

          public long getDatabaseSize()

      The size of the tenant's database, in bytes.

    - #### setDatabaseSize

          public void setDatabaseSize(long databaseSize)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.